<?php
include_once("connect.php");
include_once("funciones.php");

$op = isset($_REQUEST['op']) ? $_REQUEST['op'] : '';
$id = isset($_REQUEST['id']) ? "'".$_REQUEST['id']."'" : '0';
$act_tipo = isset($_POST['act_tipo']) ? $_POST['act_tipo'] : '0';
    
switch($op)
{
	case 'load':
		$query = "SELECT * FROM contratos WHERE IdPrograma = $id";
		$res = mysql_query($query);

		xmlDoc();
		print '<rows>'."\n";
		if(mysql_num_rows($res))
		{
			while ($row=mysql_fetch_array($res)){
			
				$iniprev = muestraFecha($row['FechaInicioPrev']);
				$inireal = muestraFecha($row['FechaInicioReal']);
				$finprev = muestraFecha($row['FechaFinalPrev']);
				$finreal = muestraFecha($row['FechaFinalReal']);
	
			print '<row id="'.$row['IdContrato'].'">'."\n".
				   	'<cell>'.muestraStr($row['Numero']).'</cell>'."\n".
					'<cell>'.muestraStr($row['EmpresaAdjudicataria']).'</cell>'."\n".
					'<cell>'.muestraVal($row['Importe']).'</cell>'."\n".
					'<cell>'.$iniprev.'</cell>'."\n".
					'<cell>'.$inireal.'</cell>'."\n".
					'<cell>'.$finprev.'</cell>'."\n".
					'<cell>'.$finreal.'</cell>'."\n".
				  '</row>'."\n";
			}
		}
		print '</rows>';
		break;

	case "delete":
		$query = "DELETE FROM contratos WHERE IdContrato = $id";
		if(mysql_query($query))
			print("Contrato eliminado correctamente");
		else
			die("Error al eliminar contrato");
		break;

	case "ini":
		$fecha = "'".date('Y-m-d')."'";
		$query = "UPDATE contratos SET FechaInicioReal = $fecha WHERE IdContrato = $id";
		if(mysql_query($query))
			print("Contrato Iniciado correctamente");
		else
			die("Error al Iniciar contrato");
		break;

	case "fin":
		$fecha = "'".date('Y-m-d')."'";
		$query = "UPDATE contratos SET FechaFinalReal = $fecha WHERE IdContrato = $id";
		if(mysql_query($query))
			print("Contrato Finalizado correctamente");
		else
			die("Error al Finalizar contrato");
		break;
		
		
	case 'contrat':
		$numero = "'".utf8_decode($_POST['numero'])."'";
		$empresa = "'".utf8_decode($_POST['empresa'])."'";
		$importe = limpiaVal($_POST['importe']);
		$fechaini = limpiaFecha($_POST['iniprev']);
		$fechafin = limpiaFecha($_POST['finprev']);
		$programa = $_POST['programa'];
		
		//guardar en contratos  
		if($act_tipo == 1)
			$query = "INSERT INTO contratos (IdPrograma, Numero, EmpresaAdjudicataria, Importe, FechaInicioPrev, FechaFinalPrev) VALUES ($programa, $numero, $empresa, $importe, $fechaini, $fechafin)";
		else
			$query = "UPDATE contratos SET Numero = $numero, EmpresaAdjudicataria = $empresa, Importe = $importe, FechaInicioPrev = $fechaini, FechaFinalPrev = $fechafin WHERE IdContrato = $id";
		if(mysql_query($query))
			print("Contrato almacenado correctamente");
		else
			die("Error al almacenar Contrato");
		break;
}
mysql_close();
?>